Page MenuHomePhabricator

Determine if Phabricator training is needed/wanted by Education Collab members, and if so, plan and lead this training
Closed, ResolvedPublic

Description

Please reach out to Collab members to determine if a Phabricator training for Collab members via Google Hangout is wanted/needed. If so, please plan and lead this training. Please query the members for their training needs. Please work with a member of the WMF Education Team to write expected learning outcomes and measures of success.

Training topics could include:

  • subscribing vs watching
  • buttons to click to quickly navigate the site, for example: the project tags, the project icons, the newsfeed icon, the project members icon, etc.
  • task components: title, assigned to, CCs, priority, projects, security, description
  • task actions: claiming, commenting, completing, creating, adding 'blocked by' tasks, awarding tokens
  • live demo how to create a new task and practice:

~ linking (it's not intuitive and is in some ways backward to how mediawiki does links)

~ pinging or @mentioning people in comments

~ CCing people on tasks (how, when, why)

Event Timeline

AKoval_WMF raised the priority of this task from to Medium.
AKoval_WMF updated the task description. (Show Details)
AKoval_WMF added a subscriber: AKoval_WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 3 2015, 2:11 PM

Added to 10/5 Collab meeting agenda. Thanks, Anna!

Esh77 added a subscriber: Esh77.Nov 19 2015, 2:45 PM

Haven't we decided to use phab'..? I believe we said in that meeting that we'll create a clear link from outreach to our collab page here, including instructions on how to use it, linking to YouTube tutorials about using Phabricator (there are a few out there..)

Restricted Application added a subscriber: Base. · View Herald TranscriptNov 19 2015, 2:45 PM

Yes @Esh77, we did indeed decide to keep using Phabricator, since it's a much better and more interactive task manager than a wiki table. The only thing that's missing before we can resolve this task is finding and adding relevant Phabricator trainings for those who feel they need that. Since you seem to know about one or more of those, would you be able to provide some links here so that we can put them in the appropriate place? That would be really helpful! Thank you.

Qgil added a subscriber: Qgil.

This is great, thank you! All the better if you work can build upon https://www.mediawiki.org/wiki/Phabricator/Help

That is a regular wiki page with some screencasts. Anyone can edit it. Anyone can post more screencasts. :)

Restricted Application added a subscriber: scfc. · View Herald TranscriptNov 24 2015, 5:59 PM

Thanks for your input, Quim.

I will close this task. I think now all Collab members have a good understanding of how Phabricator works. We'd need a strategy for onboarding and training new members who will join in the future. I will take care of this!

Selsharbaty-WMF closed this task as Resolved.Dec 16 2015, 8:47 PM
Selsharbaty-WMF moved this task from Backlog to Completed on the Education-Collab board.
Restricted Application added a subscriber: Luke081515. · View Herald TranscriptDec 29 2015, 12:34 PM